network device, module r8169, fails with NETDEV WATCHDOG: eth0: transmit timed out

Reported by klaas.hoelscher on 2006-12-19
88
This bug affects 7 people
Affects Status Importance Assigned to Milestone
Linux
Fix Released
Unknown
linux (Ubuntu)
High
TJ
Declined for Feisty by Brian Murray
Declined for Gutsy by Brian Murray
Nominated for Hardy by Alan
Nominated for Jaunty by Siva
linux-source-2.6.20 (Ubuntu)
High
Unassigned
Declined for Feisty by Brian Murray
Declined for Gutsy by Brian Murray
Nominated for Hardy by Alan
Nominated for Jaunty by Siva
linux-source-2.6.22 (Ubuntu)
Undecided
Unassigned
Declined for Feisty by Brian Murray
Declined for Gutsy by Brian Murray
Nominated for Hardy by Alan
Nominated for Jaunty by Siva

Bug Description

ubuntu feisty fawn herd-1, kernel 2.6.20-2-generic, using SMP. The network interface is an onboard device of the asrock conroe945g-dvi mainboard.
-------------
lspci -v:
01:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 01)
        Subsystem: ASRock Incorporation Unknown device 8168
        Flags: bus master, fast devsel, latency 0, IRQ 17
        I/O ports at e800 [size=256]
        Memory at febff000 (64-bit, non-prefetchable) [size=4K]
        Expansion ROM at febc0000 [disabled] [size=128K]
        Capabilities: [40] Power Management version 2
        Capabilities: [48] Vital Product Data
        Capabilities: [50] Message Signalled Interrupts: Mask- 64bit Queue=0/1 Enable-
        Capabilities: [60] Express Endpoint IRQ 0
        Capabilities: [84] Vendor Specific Information
--------------
using the module r8169 (
version: 2.2LK
vermagic: 2.6.20-2-generic SMP mod_unload 586 )

after some minutes of using the pc as usual (light browsing etc) the message "NETDEV WATCHDOG: eth0: transmit timed out" appears in the system log and the network connection fails.
ifconfig to activate/deactivate the device does not help. removing the module is not possible as it is in use. reboot helps :)

Solution as suggested by (german!) http://www.hosteurope.de/faq/index.php?cpid=12346 is to turn off TSO ("TCP Segmentation Offload") with "sudo ethtool -K eth0 tso off".

Ben Collins (ben-collins) wrote :

Please update status of this bug based on 2.6.20-3 kernel.

Changed in linux-source-2.6.20:
importance: Medium → High
status: Unconfirmed → Needs Info

still present on 2.6.20-3-generic, but "NETDEV WATCHDOG: eth0: transmit timed out" does not appear in the log anymore. workaround still works.

dm (dmitry-shaposhnik) wrote :

For me interface works with r8169, but it is too slow. Midnight commender shows speed 3.01 MB/s while copying.
I have Asus A6Q00Tc. lspci -v shows next:
-----------------------------------------------------------
01:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 01)
        Subsystem: ASUSTeK Computer Inc. Unknown device 11f5
        Flags: bus master, fast devsel, latency 0, IRQ 17
        I/O ports at d800 [size=256]
        Memory at dcfff000 (64-bit, non-prefetchable) [size=4K]
        Expansion ROM at dcfe0000 [disabled] [size=64K]
        Capabilities: [40] Power Management version 2
        Capabilities: [48] Vital Product Data
        Capabilities: [50] Message Signalled Interrupts: Mask- 64bit+ Queue=0/1 Enable-
        Capabilities: [60] Express Endpoint IRQ 0
        Capabilities: [84] Vendor Specific Information
-----------------------------------------------------------
Time by time while copying large amount of data my laptop hangs and doesn't respond, so only reset helps.
Kernel 2.6.20-2.

Changed in linux-source-2.6.20:
status: Needs Info → Confirmed

Seems to be fixed with 2.6.20-4-generic

Seems i have to apologize,
Jan 10 12:31:55 mydesktop kernel: [ 3727.707921] NETDEV WATCHDOG: eth0: transmit timed out

uname -r
2.6.20-5-generic

dm (dmitry-shaposhnik) wrote :

Yep, works fine for me with 2.6.20-4.

Both lspci reports list the chipset as RTL8111/8168B. This is a relatively new chipset, and support for it was only added in 2.6.19.

The temporary solution appears to be to disable TSO by default for RTL111/8168B in the driver.

Changed in linux-source-2.6.20:
status: Confirmed → Fix Committed

uname -r
2.6.20-8-generic

Nework connection went dead, no messages in syslog. i brought down the interface, unloaded the module. After loading it again, i was greeted by the attached log. Had to reboot.
Fix "sudo ethtool -K eth0 tso off" still works, should it be disabled by default?

dm (dmitry-shaposhnik) wrote :

#uname -a
Linux phantom 2.6.20-8-generic #2 SMP Tue Feb 13 05:18:42 UTC 2007 i686 GNU/Linux

Trying to copy about 500MB from host over http causes system crash - host stops responding at all, only reset helps.

Don't know, maybe it is caused by this bug, but samba is extremely slow - 10Kbps is the best speed.

Changed in linux-source-2.6.20:
assignee: nobody → phillip-lougher
Changed in linux-source-2.6.20:
status: Fix Committed → Fix Released

uname -a
Linux ubuntudesktop 2.6.20-9-generic #2 SMP Mon Feb 26 03:01:44 UTC 2007 i686 GNU/Linux
Problem still occurs ("NETDEV WATCHDOG: eth0: transmit timed out"), even sometimes with tso disabled (but then there's no message in the syslog)
I can rmmod the module, but reinserting gives some huge error, see appended file.

The rmmod and subsequent re-insert oops seems to be a different issue. Can you raise a separate bug. Thanks.

-------------------------
Both lspci reports list the chipset as RTL8111/8168B. This is a relatively new chipset, and support for it was only added in 2.6.19.
------------------------
It worked flawless with some other module from kernel 2.6.17 (stock in edgy)

Using 2.6.20-16-generic this happens after only a few moments of being connected, using 2.6.20-15-generic and the bug occurs perhaps once a day.

I also get the kernel oops when unloading/reloading the module. Will open separate bug. Please see attached dmesg entry and lspci.. let me know if any further information is required.

Regards,

Alan

Alan (mrintegrity) wrote :

Still getting exact same issue with kernel: 2.6.20-16-generic

Alan (mrintegrity) wrote :

Disabling TSO does not help

Yes, disabling TSO does not help anymore.
It is still not reproducable but happens way too often.

I can rmmod/modprobe the module after it has stalled, but this does not result in a working interface I dmesg'ed after stalling, rmmod, modprobe

Notice that the enw Interface is eth1, not eth0 as it should be, and its adress is FF:FF:FF...

Alan (mrintegrity) wrote :

If a fix is released for this can we _please_ get it backported to feisty? i just rebooted my work desktop for the fifth time in as many minutes.. if i'm lucky I can use it for a few hours but random network failure is a looming threat (for any of the thousands of ubuntu users with this network card!)

Please please please please backport this fix to feisty

Alan (mrintegrity) wrote :

can someone who knows whats going on with this bug let me know if it's fixed or not and when we might see this fix? I upgraded a system to gutsy because it says "fix released" so I thought it would mean fixed in gutsy seeing as it said fix released whilst gutsy was in development - yet i have the exact same issues here in gutsy so where is the fix/patch whatever that I can download it? who made the fix? is it in the kernel or what? Please help!

I understand that everyone is busy but surely a quick hit of "reply" and "it should be working in gutsy" or "it's not fixable" or something that would explain the situation a little would not be out of the question?

Thanks,

Alan

Changed in linux-source-2.6.20:
status: Fix Released → Confirmed
Chris Jones (cmsj) wrote :

Alan: Something worth doing in the interim would be to try with hardy's kernel and see if it does the same (I can only see daily alternate installers, but booted into the expert mode I expect you can get a shell and set up the network by hand and run some stress testing on it).
If that's going to be a problem, let me know and I'll see if enough spare time shakes out of christmas to try it :)

Thanks for the suggestion, I will give it a try but I myself won't be
able to test as I am going away tomorrow for three weeks. Will
definitely give it a shot when I get back though, thanks.

Alan

On Dec 20, 2007 6:33 PM, Chris Jones <email address hidden> wrote:
> Alan: Something worth doing in the interim would be to try with hardy's kernel and see if it does the same (I can only see daily alternate installers, but booted into the expert mode I expect you can get a shell and set up the network by hand and run some stress testing on it).
> If that's going to be a problem, let me know and I'll see if enough spare time shakes out of christmas to try it :)
>
> --
> network device, module r8169, fails with NETDEV WATCHDOG: eth0: transmit timed out
> https://bugs.launchpad.net/bugs/76489
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Alan (mrintegrity) wrote :

Am using hardy kernel now, 2.6.24. Will do some big transfers to see
what happens :)

Alan

On Dec 20, 2007 8:46 PM, mr <email address hidden> wrote:
> Thanks for the suggestion, I will give it a try but I myself won't be
> able to test as I am going away tomorrow for three weeks. Will
> definitely give it a shot when I get back though, thanks.
>
> Alan
>
>
> On Dec 20, 2007 6:33 PM, Chris Jones <email address hidden> wrote:
> > Alan: Something worth doing in the interim would be to try with hardy's kernel and see if it does the same (I can only see daily alternate installers, but booted into the expert mode I expect you can get a shell and set up the network by hand and run some stress testing on it).
> > If that's going to be a problem, let me know and I'll see if enough spare time shakes out of christmas to try it :)
> >
> > --
> > network device, module r8169, fails with NETDEV WATCHDOG: eth0: transmit timed out
> > https://bugs.launchpad.net/bugs/76489
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
>

Brian Murray (brian-murray) wrote :

Alan Mc - Did you find out anything when testing this bug with the 2.6.24 kernel from Hardy? Thanks in advance.

Changed in linux-source-2.6.20:
assignee: phillip-lougher → ubuntu-kernel-team
description: updated
Changed in linux-source-2.6.22:
assignee: nobody → brian-murray
status: New → Incomplete
Alan (mrintegrity) wrote :

Hi Brian,

So far so good. I have only been back from holiday for a couple of days but have been using the affected system extensively since then. So far there have been no issues what so ever but as can be seen from earlier reports, a few days can go by without this bug surfacing.

Will update the bug if it comes back.

Alan (mrintegrity) wrote :

At last this seems to be resolved. I have had no further issues since upgrading to 2.6.24-2-generic before Christmas (tested for about 6 or 7 days straight). Lets hope it stays this way for me and the others affected!

For anyone else with this issue, upgrading to the hardy kernel ( >= 2.6.24-2-generic) should do the trick!

Alan

Thanks for the update Alan. Klaas, since you are the original bug reporter, can you confirm if this issue is resolved with the newer development kernel from Hardy?

Changed in linux:
status: New → Incomplete
baskar (gbaskee) wrote :

Hi Alan,

We have onboard network card as RTL8168b and extra pci card 3Com Fast EtherLink XP Pci (3C9058-TX).
We have tried to install both ubuntu 7.10 server(Guesty) and ubuntu 7.04 desktop (Feisty), but network doesnt work on both OS.
But you said it was fixed with 2.6.24-2-generic.
I could not find that particular version of kernal. Please send me a link, so the i can download.

Awaiting for your replay

dmesg output is(related to network card

[ 3.286295] eth0: RTL8168b/8111b at 0xf884e000, 00:1d:7d:a2:c4:b7, IRQ 17

Alan (mrintegrity) wrote :

Hi Baskar,

When you say "it doesn't work" do you mean that you don't get any network
interface at all with this card under 7.10 or 7.04? Or that you are
suffering from this specific bug? If you don't get any network interface at
all then thats a separate issue and you should check the ubuntu forums or
irc channels for help and maybe file a bug if you don't get anywhere.

If you mean that your getting this bug then upgrading to the
2.6.24-2-generic kernel or later should fix it, it fixed it for me! You can
get that kernel from the Hardy Heron development release, it is installable
on Gutsy (7.10) although care and knowledge of what your doing is required
in order to not break anything. Things you might encounter issues with when
upgrading manually to the Hardy development kernel are any proprietary
kernel modules and drivers, such as the Nvidia glx package and also
proprietary drivers for wireless etc. If your system is only using Free
software drivers then this will be much simpler.

2.6.24 kernel image package from Hardy Heron:
http://packages.ubuntu.com/hardy/base/linux-image-2.6.24-4-generic

Alan

On Jan 23, 2008 1:02 PM, baskar <email address hidden> wrote:

> Hi Alan,
>
> We have onboard network card as RTL8168b and extra pci card 3Com Fast
> EtherLink XP Pci (3C9058-TX).
> We have tried to install both ubuntu 7.10 server(Guesty) and ubuntu 7.04desktop (Feisty), but network doesnt work on both OS.
> But you said it was fixed with 2.6.24-2-generic.
> I could not find that particular version of kernal. Please send me a link,
> so the i can download.
>
> Awaiting for your replay
>
>
> dmesg output is(related to network card
>
> [ 3.286295] eth0: RTL8168b/8111b at 0xf884e000, 00:1d:7d:a2:c4:b7,
> IRQ 17
>
> --
> network device, module r8169, fails with NETDEV WATCHDOG: eth0: transmit
> timed out
> https://bugs.launchpad.net/bugs/76489
> You received this bug notification because you are a direct subscriber
> of the bug.
>

baskar (gbaskee) wrote :

Hi Alan,

Thanks for your replay.

I meant to say Network doesnt work under 7.10 or 7.04.

I want to install vmware server 2.0 on the OS what i am going to install

Regards,
Baskar

On Jan 23, 2008 6:08 PM, Alan Mc <email address hidden> wrote:

> Hi Baskar,
>
> When you say "it doesn't work" do you mean that you don't get any network
> interface at all with this card under 7.10 or 7.04? Or that you are
> suffering from this specific bug? If you don't get any network interface
> at
> all then thats a separate issue and you should check the ubuntu forums or
> irc channels for help and maybe file a bug if you don't get anywhere.
>
> If you mean that your getting this bug then upgrading to the
> 2.6.24-2-generic kernel or later should fix it, it fixed it for me! You
> can
> get that kernel from the Hardy Heron development release, it is
> installable
> on Gutsy (7.10) although care and knowledge of what your doing is required
> in order to not break anything. Things you might encounter issues with
> when
> upgrading manually to the Hardy development kernel are any proprietary
> kernel modules and drivers, such as the Nvidia glx package and also
> proprietary drivers for wireless etc. If your system is only using Free
> software drivers then this will be much simpler.
>
> 2.6.24 kernel image package from Hardy Heron:
> http://packages.ubuntu.com/hardy/base/linux-image-2.6.24-4-generic
>
> Alan
>
> On Jan 23, 2008 1:02 PM, baskar <email address hidden> wrote:
>
> > Hi Alan,
> >
> > We have onboard network card as RTL8168b and extra pci card 3Com Fast
> > EtherLink XP Pci (3C9058-TX).
> > We have tried to install both ubuntu 7.10 server(Guesty) and ubuntu
> 7.04desktop (Feisty), but network doesnt work on both OS.
> > But you said it was fixed with 2.6.24-2-generic.
> > I could not find that particular version of kernal. Please send me a
> link,
> > so the i can download.
> >
> > Awaiting for your replay
> >
> >
> > dmesg output is(related to network card
> >
> > [ 3.286295] eth0: RTL8168b/8111b at 0xf884e000, 00:1d:7d:a2:c4:b7,
> > IRQ 17
> >
> > --
> > network device, module r8169, fails with NETDEV WATCHDOG: eth0: transmit
> > timed out
> > https://bugs.launchpad.net/bugs/76489
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
>
> --
> network device, module r8169, fails with NETDEV WATCHDOG: eth0: transmit
> timed out
> https://bugs.launchpad.net/bugs/76489
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Regards,
Baskaran G

Alan (mrintegrity) wrote :

This is a bug reporting system. For support issues please see the Ubuntu
forums or IRC room #ubuntu on irc.freenode.net

On Jan 23, 2008 2:01 PM, baskar <email address hidden> wrote:

> Hi Alan,
>
> Thanks for your replay.
>
> I meant to say Network doesnt work under 7.10 or 7.04.
>
> I want to install vmware server 2.0 on the OS what i am going to install
>
>
> Regards,
> Baskar
>
>
> On Jan 23, 2008 6:08 PM, Alan Mc <email address hidden> wrote:
>
> > Hi Baskar,
> >
> > When you say "it doesn't work" do you mean that you don't get any
> network
> > interface at all with this card under 7.10 or 7.04? Or that you are
> > suffering from this specific bug? If you don't get any network interface
> > at
> > all then thats a separate issue and you should check the ubuntu forums
> or
> > irc channels for help and maybe file a bug if you don't get anywhere.
> >
> > If you mean that your getting this bug then upgrading to the
> > 2.6.24-2-generic kernel or later should fix it, it fixed it for me! You
> > can
> > get that kernel from the Hardy Heron development release, it is
> > installable
> > on Gutsy (7.10) although care and knowledge of what your doing is
> required
> > in order to not break anything. Things you might encounter issues with
> > when
> > upgrading manually to the Hardy development kernel are any proprietary
> > kernel modules and drivers, such as the Nvidia glx package and also
> > proprietary drivers for wireless etc. If your system is only using Free
> > software drivers then this will be much simpler.
> >
> > 2.6.24 kernel image package from Hardy Heron:
> > http://packages.ubuntu.com/hardy/base/linux-image-2.6.24-4-generic
> >
> > Alan
> >
> > On Jan 23, 2008 1:02 PM, baskar <email address hidden> wrote:
> >
> > > Hi Alan,
> > >
> > > We have onboard network card as RTL8168b and extra pci card 3Com Fast
> > > EtherLink XP Pci (3C9058-TX).
> > > We have tried to install both ubuntu 7.10 server(Guesty) and ubuntu
> > 7.04desktop (Feisty), but network doesnt work on both OS.
> > > But you said it was fixed with 2.6.24-2-generic.
> > > I could not find that particular version of kernal. Please send me a
> > link,
> > > so the i can download.
> > >
> > > Awaiting for your replay
> > >
> > >
> > > dmesg output is(related to network card
> > >
> > > [ 3.286295] eth0: RTL8168b/8111b at 0xf884e000, 00:1d:7d:a2:c4:b7,
> > > IRQ 17
> > >
> > > --
> > > network device, module r8169, fails with NETDEV WATCHDOG: eth0:
> transmit
> > > timed out
> > > https://bugs.launchpad.net/bugs/76489
> > > You received this bug notification because you are a direct subscriber
> > > of the bug.
> > >
> >
> > --
> > network device, module r8169, fails with NETDEV WATCHDOG: eth0: transmit
> > timed out
> > https://bugs.launchpad.net/bugs/76489
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
>
>
> --
> Regards,
> Baskaran G
>
> --
> network device, module r8169, fails with NETDEV WATCHDOG: eth0: transmit
> timed out
> https://bugs.launchpad.net/bugs/76489
> You received this bug notification because you are a direct subscriber
> of the bug.
>

I'm marking this as 'Fix Released' agains the Hardy development kernel based on Alan's comments that this appears fixed and there has not been feedback from the original reporter. Thanks Alan for testing. Against linux-source-2.6.20 and linux-source-2.6.22 this will be closed. Thanks.

Changed in linux:
status: Incomplete → Fix Released
Changed in linux-source-2.6.20:
status: Confirmed → Won't Fix
Changed in linux-source-2.6.22:
status: Incomplete → Won't Fix
Alan (mrintegrity) wrote :

Unfortunately this bug has reappeared, no updates or other changes have been made to this system since upgrading to the hardy kernel a few month or two ago. The NETDEV WATCHDOG time out thing happened just now on it, I imagine this bug could be hard to pin down if it only manifests it's self once every month or so?

Hi,

exactly the same thing here.

Maybe this is nothing, but after the watchdog timeout, i've tried to "rmmod/insmod r8169" and then done "lspci -v".

01:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 01)
        Subsystem: ASRock Incorporation Unknown device 8168
        Flags: fast devsel, latency 0, IRQ 17

It appears that "Flags" has changed. Before the timeout i've got this:

01:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 01)
        Subsystem: ASRock Incorporation Unknown device 8168
        Flags: bus master, fast devsel, latency 0, IRQ 17

Alan (mrintegrity) wrote :

This bug is back in full force with the latest kernel updates:

 2.6.24-19-generic

Please advise me on any information that I can provide before / after
occurrence of this issue so that I can help.

Alan

On Thu, Mar 6, 2008 at 12:48 AM, Giraya <email address hidden> wrote:

> Hi,
>
> exactly the same thing here.
>
> Maybe this is nothing, but after the watchdog timeout, i've tried to
> "rmmod/insmod r8169" and then done "lspci -v".
>
> 01:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B
> PCI Express Gigabit Ethernet controller (rev 01)
> Subsystem: ASRock Incorporation Unknown device 8168
> Flags: fast devsel, latency 0, IRQ 17
>
> It appears that "Flags" has changed. Before the timeout i've got this:
>
> 01:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B
> PCI Express Gigabit Ethernet controller (rev 01)
> Subsystem: ASRock Incorporation Unknown device 8168
> Flags: bus master, fast devsel, latency 0, IRQ 17
>
> --
> network device, module r8169, fails with NETDEV WATCHDOG: eth0: transmit
> timed out
> https://bugs.launchpad.net/bugs/76489
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Changed in linux:
importance: Undecided → Medium
status: Fix Released → Triaged
Changed in linux:
assignee: nobody → ubuntu-kernel-team

Hi Alan,

After you experience this issue, can you capture your entire dmesg output and attach it to this report? Thanks.

Changed in linux:
status: Triaged → Incomplete

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

baskar (gbaskee) wrote :

Dear Friends,

Now I am not in a position to test the version now, since that system is in
production environment. Really i appreciate the effect taken by you guys.

As a linux addict I would like to get linux update to my mail id.

Cheers,
Baskar

On Thu, Aug 28, 2008 at 10:34 PM, Leann Ogasawara <email address hidden> wrote:

> The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the
> upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would
> appreciate it if you could please test this newer 2.6.27 Ubuntu kernel.
> There are one of two ways you should be able to test:
>
> 1) If you are comfortable installing packages on your own, the linux-
> image-2.6.27-* package is currently available for you to install and
> test.
>
> --or--
>
> 2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer
> 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4.
> Please watch http://www.ubuntu.com/testing for Alpha5 to be announced.
> You should then be able to test via a LiveCD.
>
> Please let us know immediately if this newer 2.6.27 kernel resolves the
> bug reported here or if the issue remains. More importantly, please
> open a new bug report for each new bug/regression introduced by the
> 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please
> specifically note if the issue does or does not appear in the 2.6.26
> kernel. Thanks again, we really appreicate your help and feedback.
>
> ** Tags added: cft-2.6.27
>
> --
> network device, module r8169, fails with NETDEV WATCHDOG: eth0: transmit
> timed out
> https://bugs.launchpad.net/bugs/76489
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Regards,
Baskaran G

Brian Murray (brian-murray) wrote :

I have a Hardy system using the r8169 driver for a device with PCI ID [10ec:8168] and I'm running kernel version 2.6.24-19.34-server.

TSO is disabled by default:

bdmurray@bizarro:~/kvm-images$ ethtool -k eth0
Offload parameters for eth0:
rx-checksumming: on
tx-checksumming: off
scatter-gather: off
tcp segmentation offload: off
udp fragmentation offload: off
generic segmentation offload: off

and I've transferred a fair bit of data to the system:

bdmurray@bizarro:~/kvm-images$ ifconfig
eth0 Link encap:Ethernet HWaddr 00:1f:c6:eb:d5:fd
          inet addr:192.168.10.192 Bcast:192.168.10.255 Mask:255.255.255.0
          inet6 addr: fe80::21f:c6ff:feeb:d5fd/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
          RX packets:12724878 errors:0 dropped:112167660937 overruns:0 frame:0
          TX packets:8732242 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:14973845705 (13.9 GB) TX bytes:1508134727 (1.4 GB)
          Interrupt:253 Base address:0x2000

and I've received no timeouts.

Alan (mrintegrity) wrote :

It does not seem to be firmly connected to the data transfer, I have on
occasion turned the computer on and loaded up google but hitting search and
the page wont load.. due to this bug. On other occasions the system has been
connected for several days solid and there has been no network issue
(including very large file transfers) and then again sometimes it does
happen.

Very frustrating that it happens so extremely intermittently, sometimes many
times in a row. If I were the only one having this issue I might suggest
that the hardware was dodgey but as I'm not alone I think this is ruled out.

I am on the lookout for it and will let you know as soon as it happens
again.

Cheers,

Alan

On Thu, Sep 18, 2008 at 10:33 PM, Brian Murray <email address hidden> wrote:

> I have a Hardy system using the r8169 driver for a device with PCI ID
> [10ec:8168] and I'm running kernel version 2.6.24-19.34-server.
>
> TSO is disabled by default:
>
> bdmurray@bizarro:~/kvm-images$ ethtool -k eth0
> Offload parameters for eth0:
> rx-checksumming: on
> tx-checksumming: off
> scatter-gather: off
> tcp segmentation offload: off
> udp fragmentation offload: off
> generic segmentation offload: off
>
> and I've transferred a fair bit of data to the system:
>
> bdmurray@bizarro:~/kvm-images$ ifconfig
> eth0 Link encap:Ethernet HWaddr 00:1f:c6:eb:d5:fd
> inet addr:192.168.10.192 Bcast:192.168.10.255 Mask:
> 255.255.255.0
> inet6 addr: fe80::21f:c6ff:feeb:d5fd/64 Scope:Link
> UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
> RX packets:12724878 errors:0 dropped:112167660937 overruns:0
> frame:0
> TX packets:8732242 errors:0 dropped:0 overruns:0 carrier:0
> collisions:0 txqueuelen:1000
> RX bytes:14973845705 (13.9 GB) TX bytes:1508134727 (1.4 GB)
> Interrupt:253 Base address:0x2000
>
> and I've received no timeouts.
>
> --
> network device, module r8169, fails with NETDEV WATCHDOG: eth0: transmit
> timed out
> https://bugs.launchpad.net/bugs/76489
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Martin Capitanio (capnm) wrote :

Here is the current state of the kernel r8169 driver development,
if you can follow my instructions, please post
the rep.txt file and report success or failure

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/256331/comments/12

Thanks,
Martin

Alan (mrintegrity) wrote :

Hi,

dmesg and lspci output is already attached to this bug report, see the attachments at the side. Also, the network card related to this bug is not the same as the one in the other bug report you mention. This bug is very intermittent (in terms of months).

Thanks

AlexConrad (aconrad-tlv) wrote :
Download full text (3.8 KiB)

Hi,

I'm seeing the same problem when transfering large files. The network works until it crashes. I'm using Intrepid Ibex with the latest updates:

$ dmesg
[ ... ]
[ 1159.988394] ------------[ cut here ]------------
[ 1159.988402] WARNING: at /build/buildd/linux-2.6.27/net/sched/sch_generic.c:219 dev_watchdog+0x21a/0x230()
[ 1159.988405] NETDEV WATCHDOG: eth0 (r8169): transmit timed out
[ 1159.988408] Modules linked in: r8169 af_packet i915 binfmt_misc drm rfcomm bridge stp bnep sco l2cap bluetooth ppdev cpufreq_ondemand cpufreq_powersave cpufreq_userspace cpufreq_stats freq_table cpufreq_conservative container video output wmi pci_slot sbs sbshc battery iptable_filter ip_tables x_tables ac sbp2 parport_pc lp parport loop ipv6 lnbp21 snd_hda_intel snd_pcm_oss snd_mixer_oss snd_pcm sr_mod stv0299 cdrom serio_raw snd_seq_dummy psmouse budget_ci pcspkr budget_core dvb_core evdev saa7146 ttpci_eeprom snd_seq_oss ir_common iTCO_wdt iTCO_vendor_support snd_seq_midi i2c_core snd_rawmidi snd_seq_midi_event snd_seq snd_timer snd_seq_device button intel_agp shpchp agpgart snd pci_hotplug soundcore snd_page_alloc ext3 jbd mbcache sd_mod crc_t10dif pata_acpi sg usb_storage libusual ata_piix ohci1394 ata_generic ieee1394 ehci_hcd libata scsi_mod dock uhci_hcd usbcore thermal processor fan fbcon tileblit font bitblit softcursor fuse [last unloaded: r8169]
[ 1159.988510] Pid: 7, comm: ksoftirqd/1 Not tainted 2.6.27-7-generic #1
[ 1159.988514] [<c0131d65>] warn_slowpath+0x65/0x90
[ 1159.988520] [<c024d1d5>] ? __next_cpu+0x15/0x30
[ 1159.988525] [<c012989d>] ? find_busiest_group+0x15d/0x7c0
[ 1159.988529] [<c012b6ab>] ? default_wake_function+0xb/0x10
[ 1159.988534] [<c037dfae>] ? account_scheduler_latency+0xe/0x220
[ 1159.988539] [<c0154387>] ? timer_stats_update_stats+0x17/0x250
[ 1159.988545] [<c0254299>] ? strlen+0x9/0x20
[ 1159.988550] [<c025231d>] ? strlcpy+0x1d/0x60
[ 1159.988554] [<c02f0967>] ? netdev_drivername+0x37/0x40
[ 1159.988558] [<c0305b6a>] dev_watchdog+0x21a/0x230
[ 1159.988562] [<c01284cb>] ? finish_task_switch+0x2b/0xe0
[ 1159.988567] [<c037c999>] ? schedule+0x429/0x790
[ 1159.988572] [<c013bf88>] run_timer_softirq+0x138/0x210
[ 1159.988576] [<c0305950>] ? dev_watchdog+0x0/0x230
[ 1159.988580] [<c0305950>] ? dev_watchdog+0x0/0x230
[ 1159.988584] [<c0137682>] __do_softirq+0x92/0x120
[ 1159.988588] [<c013776d>] do_softirq+0x5d/0x60
[ 1159.988591] [<c0137802>] ksoftirqd+0x92/0x120
[ 1159.988594] [<c0137770>] ? ksoftirqd+0x0/0x120
[ 1159.988598] [<c0147141>] kthread+0x41/0x80
[ 1159.988603] [<c0147100>] ? kthread+0x0/0x80
[ 1159.988607] [<c0105297>] kernel_thread_helper+0x7/0x10
[ 1159.988611] =======================
[ 1159.988614] ---[ end trace 31e5c06b077946fd ]---
[ 1160.804089] r8169: eth0: link up
[ 1214.816047] r8169: eth0: link up
[ 1280.812554] r8169: eth0: link up
[ 1364.804541] r8169: eth0: link up
[ 1436.804241] r8169: eth0: link up

[ ... I have more there after a while ... ]

$ uname -r
2.6.27-7-generic

$ lspci -vvv (only showing the eth device)
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)
 Subsystem: ASUSTeK Computer Inc. Devi...

Read more...

Changed in linux:
status: Incomplete → Triaged
Alan (mrintegrity) wrote :

Why is this set to triaged when it is only confirmed?

2008/11/29 Leann Ogasawara <email address hidden>

> ** Changed in: linux (Ubuntu)
> Status: Incomplete => Triaged
>
> --
> network device, module r8169, fails with NETDEV WATCHDOG: eth0: transmit
> timed out
> https://bugs.launchpad.net/bugs/76489
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

Victor Mendonça (victorbrca) wrote :
Download full text (4.4 KiB)

I'm having the same problem on a gigabyte board with built-in realtek nic. I've found numerous bugs for the same issue, not sure which is the main one and if ubuntu team is checking for duplicates.

I have created a script on another machine that emails me when the link is down. I then crosschecked against all my logs and could not find anything related to the network going down.

This problem seems to be happening since 2.26.24 on r8169 (as per bugs I found).

My machine has two cards (second is a different brand), only the Realtek stops working.

==============================================================================

OS: Ubuntu Intrepid AMD64

Problem:
Card stops working for a period of time (usually 5-15 minutes)

Bugs I found: 76489, 212497, 256331, 286489, 293661, 205374

=>lspci -vvv | less
03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 01)
        Subsystem: Giga-byte Technology Device e000
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 32 bytes
        Interrupt: pin A routed to IRQ 2300
        Region 0: I/O ports at c000 [size=256]
        Region 2: Memory at f6000000 (64-bit, non-prefetchable) [size=4K]
        [virtual] Expansion ROM at fa100000 [disabled] [size=128K]
        Capabilities: <access denied>
        Kernel driver in use: r8169
        Kernel modules: r8169

=>cat /proc/version_signature
Ubuntu 2.6.27-7.16-server

=>ifconfig
RX bytes:10506838810 (10.5 GB) TX bytes:1987163061 (1.9 GB)

=>dmesg
[169782.011271] ------------[ cut here ]------------
[169782.011278] WARNING: at /build/buildd/linux-2.6.27/net/sched/sch_generic.c:219 dev_watchdog+0x272/0x280()
[169782.011281] NETDEV WATCHDOG: eth0 (r8169): transmit timed out
[169782.011283] Modules linked in: vmnet vmci vmmon ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 xt_state nf_conntrack ipt_REJECT xt_tcpudp bridge stp kvm ppdev ipv6 iptable_filter ip_tables x_tables ac lp loop snd_hda_intel parport_pc snd_pcm snd_timer pcspkr snd evdev shpchp iTCO_wdt parport intel_agp button soundcore iTCO_vendor_support pci_hotplug snd_page_alloc ext3 jbd mbcache sr_mod cdrom ata_generic sd_mod crc_t10dif pata_jmicron sg ata_piix pata_acpi pata_it821x via_rhine mii libata r8169 scsi_mod dock ehci_hcd uhci_hcd usbcore raid10 raid456 async_xor async_memcpy async_tx xor raid1 raid0 multipath linear md_mod dm_mirror dm_log dm_snapshot dm_mod thermal processor fan fbcon tileblit font bitblit softcursor fuse [last unloaded: vmnet]
[169782.011353] Pid: 0, comm: swapper Not tainted 2.6.27-7-server #1
[169782.011355]
[169782.011356] Call Trace:
[169782.011358] <IRQ> [<ffffffff8024e91c>] warn_slowpath+0xbc/0xf0
[169782.011366] [<ffffffff803a23ba>] ? __next_cpu+0x1a/0x30
[169782.011371] [<ffffffff8024535c>] ? find_busiest_group+0x1dc/0x970
[169782.011375] [<ffffffff80219d26>] ? read_tsc+0x16/0x40
[169782.011380] [<ffffffff80273f44>] ? timer_stats_update_stats+0x24/0x370
[169782.011383] [<fff...

Read more...

CapSel (capsel) wrote :

I am experiencing same bug with kernel 2.6.27-11 (after upgrade from 2.6.27-7).

Siva (hellosiva) wrote :
Download full text (3.6 KiB)

I have the latest Jaunty and I am getting the same message.

[175559.988029] ------------[ cut here ]------------
[175559.988038] WARNING: at /build/buildd/linux-2.6.28/net/sched/sch_generic.c:226 dev_watchdog+0x219/0x230()
[175559.988044] NETDEV WATCHDOG: eth0 (r8169): transmit timed out
[175559.988049] Modules linked in: binfmt_misc dvbloopback bridge stp bnep video output input_polldev nfsd auth_rpcgss exportfs nfs
lockd nfs_acl sunrpc xfs lp snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi cx88_alsa snd_rawmidi snd_pcm_oss dst snd_mixer_oss
 ppdev nxt200x dvb_bt8xx bt878 cx88_dvb cx88_vp3054_i2c nvidia(P) tuner_simple tuner_types snd_seq_midi_event snd_pcm k8temp snd_seq
 agpgart snd_timer tuner psmouse pcspkr serio_raw snd_seq_device bttv cx8800 cx8802 cx88xx snd ir_common videobuf_dvb i2c_algo_bit d
vb_core videodev v4l1_compat compat_ioctl32 v4l2_common videobuf_dma_sg tveeprom videobuf_core btcx_risc soundcore snd_page_alloc pa
rport_pc parport lirc_atiusb lirc_dev usbhid ati_remote r8169 mii ehci_hcd ohci_hcd fbcon tileblit font bitblit softcursor fuse
[175559.988163] Pid: 0, comm: swapper Tainted: P 2.6.28-8-generic #26-Ubuntu
[175559.988169] Call Trace:
[175559.988181] [<c0139a70>] warn_slowpath+0x60/0x80
[175559.988190] [<c040caaf>] ? pci_read+0x2f/0x40
[175559.988201] [<c02cce26>] ? pci_bus_read_config_word+0x66/0x80
[175559.988210] [<c0156863>] ? getnstimeofday+0x53/0x110
[175559.988218] [<c01199f3>] ? lapic_next_event+0x13/0x20
[175559.988226] [<c0159a9a>] ? clockevents_program_event+0x9a/0x150
[175559.988233] [<c0156863>] ? getnstimeofday+0x53/0x110
[175559.988241] [<c02c1a4d>] ? strlcpy+0x1d/0x60
[175559.988249] [<c04199f2>] ? netdev_drivername+0x32/0x40
[175559.988255] [<c042e559>] dev_watchdog+0x219/0x230
[175559.988262] [<c0151a9a>] ? hrtimer_forward+0x12a/0x170
[175559.988268] [<c0156863>] ? getnstimeofday+0x53/0x110
[175559.988275] [<c01199f3>] ? lapic_next_event+0x13/0x20
[175559.988282] [<c0159a9a>] ? clockevents_program_event+0x9a/0x150
[175559.988291] [<c0143a90>] run_timer_softirq+0x130/0x200
[175559.988297] [<c042e340>] ? dev_watchdog+0x0/0x230
[175559.988302] [<c042e340>] ? dev_watchdog+0x0/0x230
[175559.988311] [<c013f137>] __do_softirq+0x97/0x170
[175559.988316] [<c0152c26>] ? hrtimer_interrupt+0x186/0x1b0
[175559.988324] [<c013f26d>] do_softirq+0x5d/0x60
[175559.988330] [<c013f3e5>] irq_exit+0x55/0x90
[175559.988336] [<c0119ffb>] smp_apic_timer_interrupt+0x5b/0x90
[175559.988345] [<c0105318>] apic_timer_interrupt+0x28/0x30
[175559.988354] [<c0121f35>] ? native_safe_halt+0x5/0x10
[175559.988360] [<c010afbd>] default_idle+0x5d/0x60
[175559.988366] [<c010b0b6>] c1e_idle+0x46/0x120
[175559.988372] [<c010285d>] cpu_idle+0x6d/0xd0
[175559.988380] [<c04e6d4e>] start_secondary+0xbe/0xf0
[175559.988385] ---[ end trace cf92d500d99a889b ]---
[175560.009273] r8169: eth0: link up

lspci -vvv

03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 01)
        Subsystem: Biostar Microtech Int'l Corp Device 2305
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+...

Read more...

Download full text (4.0 KiB)

Awesome! this bug never ends!

2009/3/3 Siva <email address hidden>

> I have the latest Jaunty and I am getting the same message.
>
> [175559.988029] ------------[ cut here ]------------
> [175559.988038] WARNING: at
> /build/buildd/linux-2.6.28/net/sched/sch_generic.c:226
> dev_watchdog+0x219/0x230()
> [175559.988044] NETDEV WATCHDOG: eth0 (r8169): transmit timed out
> [175559.988049] Modules linked in: binfmt_misc dvbloopback bridge stp bnep
> video output input_polldev nfsd auth_rpcgss exportfs nfs
> lockd nfs_acl sunrpc xfs lp snd_hda_intel snd_seq_dummy snd_seq_oss
> snd_seq_midi cx88_alsa snd_rawmidi snd_pcm_oss dst snd_mixer_oss
> ppdev nxt200x dvb_bt8xx bt878 cx88_dvb cx88_vp3054_i2c nvidia(P)
> tuner_simple tuner_types snd_seq_midi_event snd_pcm k8temp snd_seq
> agpgart snd_timer tuner psmouse pcspkr serio_raw snd_seq_device bttv
> cx8800 cx8802 cx88xx snd ir_common videobuf_dvb i2c_algo_bit d
> vb_core videodev v4l1_compat compat_ioctl32 v4l2_common videobuf_dma_sg
> tveeprom videobuf_core btcx_risc soundcore snd_page_alloc pa
> rport_pc parport lirc_atiusb lirc_dev usbhid ati_remote r8169 mii ehci_hcd
> ohci_hcd fbcon tileblit font bitblit softcursor fuse
> [175559.988163] Pid: 0, comm: swapper Tainted: P 2.6.28-8-generic
> #26-Ubuntu
> [175559.988169] Call Trace:
> [175559.988181] [<c0139a70>] warn_slowpath+0x60/0x80
> [175559.988190] [<c040caaf>] ? pci_read+0x2f/0x40
> [175559.988201] [<c02cce26>] ? pci_bus_read_config_word+0x66/0x80
> [175559.988210] [<c0156863>] ? getnstimeofday+0x53/0x110
> [175559.988218] [<c01199f3>] ? lapic_next_event+0x13/0x20
> [175559.988226] [<c0159a9a>] ? clockevents_program_event+0x9a/0x150
> [175559.988233] [<c0156863>] ? getnstimeofday+0x53/0x110
> [175559.988241] [<c02c1a4d>] ? strlcpy+0x1d/0x60
> [175559.988249] [<c04199f2>] ? netdev_drivername+0x32/0x40
> [175559.988255] [<c042e559>] dev_watchdog+0x219/0x230
> [175559.988262] [<c0151a9a>] ? hrtimer_forward+0x12a/0x170
> [175559.988268] [<c0156863>] ? getnstimeofday+0x53/0x110
> [175559.988275] [<c01199f3>] ? lapic_next_event+0x13/0x20
> [175559.988282] [<c0159a9a>] ? clockevents_program_event+0x9a/0x150
> [175559.988291] [<c0143a90>] run_timer_softirq+0x130/0x200
> [175559.988297] [<c042e340>] ? dev_watchdog+0x0/0x230
> [175559.988302] [<c042e340>] ? dev_watchdog+0x0/0x230
> [175559.988311] [<c013f137>] __do_softirq+0x97/0x170
> [175559.988316] [<c0152c26>] ? hrtimer_interrupt+0x186/0x1b0
> [175559.988324] [<c013f26d>] do_softirq+0x5d/0x60
> [175559.988330] [<c013f3e5>] irq_exit+0x55/0x90
> [175559.988336] [<c0119ffb>] smp_apic_timer_interrupt+0x5b/0x90
> [175559.988345] [<c0105318>] apic_timer_interrupt+0x28/0x30
> [175559.988354] [<c0121f35>] ? native_safe_halt+0x5/0x10
> [175559.988360] [<c010afbd>] default_idle+0x5d/0x60
> [175559.988366] [<c010b0b6>] c1e_idle+0x46/0x120
> [175559.988372] [<c010285d>] cpu_idle+0x6d/0xd0
> [175559.988380] [<c04e6d4e>] start_secondary+0xbe/0xf0
> [175559.988385] ---[ end trace cf92d500d99a889b ]---
> [175560.009273] r8169: eth0: link up
>
>
> lspci -vvv
>
> 03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B
> PCI Express Gigabit Ethernet controller...

Read more...

VSJ (vsj08) wrote :
Download full text (7.9 KiB)

Ubuntu 8.10 x64

$ uname -a
Linux pc3 2.6.27-11-generic #1 SMP Thu Jan 29 19:28:32 UTC 2009 x86_64 GNU/Linux

Mar 25 15:21:27 pc3 kernel: [ 1091.804030] ------------[ cut here ]------------
Mar 25 15:21:27 pc3 kernel: [ 1091.804042] WARNING: at /build/buildd/linux-2.6.27/net/sched/sch_generic.c:219 dev_watchdog+0x272/0x280()
Mar 25 15:21:27 pc3 kernel: [ 1091.804048] NETDEV WATCHDOG: eth0 (r8169): transmit timed out
Mar 25 15:21:27 pc3 kernel: [ 1091.804053] Modules linked in: binfmt_misc ppdev powernow_k8 cpufreq_powersave cpufreq_ondemand cpufreq_stats freq_table cpufreq_userspace cpufreq_conservative sbs pci_slot container sbshc video output battery nfs ip6table_filter ip6_tables iptable_raw xt_comment xt_policy ipt_ULOG ipt_TTL ipt_ttl ipt_REJECT ipt_REDIRECT ipt_recent ipt_NETMAP ipt_MASQUERADE ipt_LOG ipt_ECN ipt_ecn ipt_CLUSTERIP ipt_ah ipt_addrtype nf_nat_tftp nf_nat_snmp_basic nf_nat_sip nf_nat_pptp nf_nat_proto_gre nf_nat_irc nf_nat_h323 nf_nat_ftp nf_nat_amanda ts_kmp nf_conntrack_amanda nf_conntrack_tftp nf_conntrack_sip nf_conntrack_proto_sctp nf_conntrack_pptp nf_conntrack_proto_gre nf_conntrack_netlink nf_conntrack_netbios_ns nf_conntrack_irc nf_conntrack_h323 nf_conntrack_ftp xt_tcpmss xt_pkttype xt_physdev xt_owner xt_NFQUEUE xt_NFLOG xt_multiport xt_MARK xt_mark xt_mac xt_limit xt_length xt_iprange xt_helper xt_hashlimit xt_DSCP xt_dscp xt_dccp xt_conntrack xt_CONNMARK xt_connmark xt_CLASSIFY xt_tcpudp
Mar 25 15:21:27 pc3 kernel: xt_state iptable_nat nf_nat nf_conntrack_ipv4 nf_conntrack iptable_mangle nfnetlink ipv6 af_packet iptable_filter ip_tables x_tables reiserfs ac sbp2 lp loop nfsd lockd nfs_acl auth_rpcgss sunrpc exportfs pcspkr k8temp i2c_piix4 evdev i2c_core usblp snd_hda_intel snd_pcm_oss snd_mixer_oss snd_pcm snd_seq_dummy snd_seq_oss snd_seq_midi snd_rawmidi snd_seq_midi_event snd_seq snd_timer parport_pc snd_seq_device parport snd soundcore snd_page_alloc fglrx(P) wmi button shpchp pci_hotplug ext3 jbd mbcache usb_storage libusual usbhid hid sr_mod cdrom pata_acpi sd_mod crc_t10dif sg 8139too pata_atiixp ohci1394 ieee1394 8139cp ehci_hcd ohci_hcd ata_generic ahci usbcore libata scsi_mod r8169 mii dock raid10 raid456 async_xor async_memcpy async_tx xor raid1 raid0 multipath linear md_mod thermal processor fan fbcon tileblit font bitblit softcursor fuse
Mar 25 15:21:27 pc3 kernel: [ 1091.804335] Pid: 0, comm: swapper Tainted: P 2.6.27-11-generic #1
Mar 25 15:21:27 pc3 kernel: [ 1091.804340]
Mar 25 15:21:27 pc3 kernel: [ 1091.804341] Call Trace:
Mar 25 15:21:27 pc3 kernel: [ 1091.804346] <IRQ> [<ffffffff8024e92c>] warn_slowpath+0xbc/0xf0
Mar 25 15:21:27 pc3 kernel: [ 1091.804364] [<ffffffff8023e833>] ? __enqueue_entity+0x93/0xa0
Mar 25 15:21:27 pc3 kernel: [ 1091.804371] [<ffffffff8023fd19>] ? enqueue_entity+0xd9/0x260
Mar 25 15:21:27 pc3 kernel: [ 1091.804380] [<ffffffff802463a7>] ? enqueue_task_fair+0x57/0x60
Mar 25 15:21:27 pc3 kernel: [ 1091.804386] [<ffffffff8023c3a0>] ? enqueue_task+0x50/0x60
Mar 25 15:21:27 pc3 kernel: [ 1091.804393] [<ffffffff80245e5d>] ? resched_task+0x2d/0x90
Mar 25 15:21:27 pc3 kernel: [ 1091.804400] [<ffffffff802473fe>] ? try_to_wake_up+0x11e/0x2e0
Mar 25 15:21:27 ...

Read more...

Changed in linux (Ubuntu):
importance: Medium → High
Changed in linux-source-2.6.22 (Ubuntu):
assignee: brian-murray → nobody
TJ (tj) on 2009-03-28
Changed in linux (Ubuntu):
assignee: nobody → intuitivenipple
Changed in linux:
status: Unknown → Confirmed
TJ (tj) wrote :

It looks likely this is related to bug #326891 "2.6.27.11 kernel breaks r8169 support for rtl8102e". The fix for that issue was to introduce five patches that correct the handling of the various realtek devices. Some devices are recognised by PCI ID and some by their MAC, with work-arounds for the "unknown MAC" issue (reported in the dmesg log).

Apparently this caused code meant for the 8169 to be executed for other devices which shouldn't have been used I suspect maybe there is a transmit-side issue remaining to be patched.

Looking at all the upstream and other-distribution bug reports it seems to be a widespread issue.

TJ (tj) wrote :

Looking back through the comments Giraya's observation that the PCI device flags change after rmmod/insmod is potentially a clue.

Could those affected collect reports from a fresh boot before the issue strikes. I'd like to see the result of lspci for the realtek device before and after rmmod/insmod. Collect all the information about the device using the attached script.

Download and save the script to a file (report.sh) and make it executable:

chmod a+x report.sh

Run it to gather a "good" report and then attach the resulting log archive to this bug report:

sudo ./report.sh good

When the issue next strikes run the script again, using "bug":

sudo ./report.sh bug

Attach /tmp/reports-bug.tar.gz to the bug report.

Stefan Lesicnik (stefanlsd) wrote :
Download full text (3.5 KiB)

I have a similair problem, although report.sh doesnt work for me

02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)
 Subsystem: ASUSTeK Computer Inc. Device 82c6
 Flags: bus master, fast devsel, latency 0, IRQ 2300
 I/O ports at e800 [size=256]
 Memory at fbfff000 (64-bit, non-prefetchable) [size=4K]
 Memory at faff0000 (64-bit, prefetchable) [size=64K]
 Expansion ROM at fbfc0000 [disabled] [size=128K]
 Capabilities: [40] Power Management version 3
 Capabilities: [50] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable+
 Capabilities: [70] Express Endpoint, MSI 01
 Capabilities: [b0] MSI-X: Enable- Mask- TabSize=2
 Capabilities: [d0] Vital Product Data <?>
 Capabilities: [100] Advanced Error Reporting <?>
 Capabilities: [140] Virtual Channel <?>
 Capabilities: [160] Device Serial Number 01-00-00-00-68-4c-e0-00
 Kernel driver in use: r8169
 Kernel modules: r8169

33626.816145] WARNING: at /build/buildd/linux-2.6.28/net/sched/sch_generic.c:226 dev_watchdog+0x270/0x280()
[33626.816151] NETDEV WATCHDOG: eth0 (r8169): transmit timed out
[33626.816154] Modules linked in: aes_x86_64 aes_generic ecb binfmt_misc bridge stp bnep video output input_polldev reiserfs lp snd_hda_intel snd_pcm_oss snd_mixer_oss snd_pcm snd_seq_dummy snd_seq_oss snd_seq_midi snd_rawmidi snd_seq_midi_event ppdev snd_seq parport_pc snd_timer snd_seq_device psmouse fglrx(P) parport i2c_piix4 snd soundcore serio_raw shpchp k8temp snd_page_alloc pcspkr usbhid r8169 mii floppy fbcon tileblit font bitblit softcursor
[33626.816216] Pid: 0, comm: swapper Tainted: P 2.6.28-11-generic #38-Ubuntu
[33626.816221] Call Trace:
[33626.816225] <IRQ> [<ffffffff80250927>] warn_slowpath+0xb7/0xf0
[33626.816243] [<ffffffff80416fea>] ? __next_cpu+0x1a/0x30
[33626.816249] [<ffffffff80416fea>] ? __next_cpu+0x1a/0x30
[33626.816258] [<ffffffff802424b2>] ? enqueue_entity+0x122/0x2b0
[33626.816264] [<ffffffff802486cd>] ? enqueue_task_fair+0x3d/0x80
[33626.816270] [<ffffffff8023e6a0>] ? enqueue_task+0x50/0x60
[33626.816276] [<ffffffff8024a58d>] ? default_wake_function+0xd/0x10
[33626.816285] [<ffffffff80268941>] ? autoremove_wake_function+0x11/0x40
[33626.816293] [<ffffffff8041d2ca>] ? strlcpy+0x4a/0x60
[33626.816298] [<ffffffff805cbb10>] dev_watchdog+0x270/0x280
[33626.816306] [<ffffffff80270969>] ? getnstimeofday+0x59/0xe0
[33626.816313] [<ffffffff80264c4c>] ? __queue_work+0x3c/0x50
[33626.816318] [<ffffffff805cb8a0>] ? dev_watchdog+0x0/0x280
[33626.816325] [<ffffffff8025be79>] run_timer_softirq+0x179/0x260
[33626.816331] [<ffffffff80256acc>] __do_softirq+0x9c/0x170
[33626.816339] [<ffffffff80213d8c>] call_softirq+0x1c/0x30
[33626.816345] [<ffffffff80214ffd>] do_softirq+0x5d/0xa0
[33626.816350] [<ffffffff8025684d>] irq_exit+0x8d/0xa0
[33626.816355] [<ffffffff802152c5>] do_IRQ+0xc5/0x110
[33626.816361] [<ffffffff80212bf3>] ret_from_intr+0x0/0x29
[33626.816364] <EOI> [<ffffffff8022e856>] ? native_safe_halt+0x6/0x10
[33626.816380] [<ffffffff8021a9fd>] ? default_idle+0x4d/0x50
[33626.816386] [<ffffffff8021aa51>] ? c1e_idle+0x51/0x130
[33626.816393] [<ffffffff806a1cc5>] ? atomic_notifier_cal...

Read more...

Lasse (lfarner) wrote :
Download full text (3.9 KiB)

Report.sh does not work for me either:

lasse@backend:~$ sudo ./report.sh good
Failed to find any device with vendor ID 10ec
lasse@backend:~$

yet:
lasse@backend:~$ lspci -nn|grep 10ec
02:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 02)
lasse@backend:~$

I get this error several times a day, since I'm running a mythtv backend with heavy traffic:

Apr 13 18:27:51 backend kernel: [27143.041912] ------------[ cut here ]------------
Apr 13 18:27:51 backend kernel: [27143.041917] WARNING: at /build/buildd/linux-2.6.28/net/sched/sch_generic.c:226 dev_watchdog+0x270/0x280()
Apr 13 18:27:51 backend kernel: [27143.041921] NETDEV WATCHDOG: eth0 (r8169): transmit timed out
Apr 13 18:27:51 backend kernel: [27143.041924] Modules linked in: dvbloopback nfsd auth_rpcgss exportfs nfs lockd nfs_acl sunrpc xfs lp parport cx22$
Apr 13 18:27:51 backend kernel: [27143.041993] Pid: 4, comm: ksoftirqd/0 Not tainted 2.6.28-11-server #41-Ubuntu
Apr 13 18:27:51 backend kernel: [27143.041996] Call Trace:
Apr 13 18:27:51 backend kernel: [27143.041998] <IRQ> [<ffffffff80250927>] warn_slowpath+0xb7/0xf0
Apr 13 18:27:51 backend kernel: [27143.042011] [<ffffffff8069dd49>] ? _spin_lock+0x9/0x10
Apr 13 18:27:51 backend kernel: [27143.042017] [<ffffffff802407df>] ? task_rq_lock+0x5f/0xb0
Apr 13 18:27:51 backend kernel: [27143.042023] [<ffffffff8024a58d>] ? default_wake_function+0xd/0x10
Apr 13 18:27:51 backend kernel: [27143.042028] [<ffffffff8023ec1a>] ? __wake_up_common+0x5a/0x90
Apr 13 18:27:51 backend kernel: [27143.042032] [<ffffffff802404fe>] ? __wake_up+0x4e/0x70
Apr 13 18:27:51 backend kernel: [27143.042047] [<ffffffffa00ec42f>] ? dvb_dmxdev_ts_callback+0xaf/0x130 [dvb_core]
Apr 13 18:27:51 backend kernel: [27143.042054] [<ffffffff8041cd0a>] ? strlcpy+0x4a/0x60
Apr 13 18:27:51 backend kernel: [27143.042058] [<ffffffff805caf70>] dev_watchdog+0x270/0x280
Apr 13 18:27:51 backend kernel: [27143.042065] [<ffffffffa0063322>] ? flexcop_pci_isr+0xa2/0x1a0 [b2c2_flexcop_pci]
Apr 13 18:27:51 backend kernel: [27143.042070] [<ffffffff805cad00>] ? dev_watchdog+0x0/0x280
Apr 13 18:27:51 backend kernel: [27143.042075] [<ffffffff8025bdf9>] run_timer_softirq+0x179/0x260
Apr 13 18:27:51 backend kernel: [27143.042080] [<ffffffff80256a5c>] __do_softirq+0x9c/0x170
Apr 13 18:27:51 backend kernel: [27143.042086] [<ffffffff80213d8c>] call_softirq+0x1c/0x30
Apr 13 18:27:51 backend kernel: [27143.042088] <EOI> [<ffffffff80214ffd>] do_softirq+0x5d/0xa0
Apr 13 18:27:51 backend kernel: [27143.042096] [<ffffffff8025666a>] ksoftirqd+0x6a/0x100
Apr 13 18:27:51 backend kernel: [27143.042100] [<ffffffff80256600>] ? ksoftirqd+0x0/0x100
Apr 13 18:27:51 backend kernel: [27143.042106] [<ffffffff80268429>] kthread+0x49/0x90
Apr 13 18:27:51 backend kernel: [27143.042110] [<ffffffff80213979>] child_rip+0xa/0x11
Apr 13 18:27:51 backend kernel: [27143.042115] [<ffffffff802683e0>] ? kthread+0x0/0x90
Apr 13 18:27:51 backend kernel: [27143.042119] [<ffffffff8021396f>] ? child_rip+0x0/0x11
Apr 13 18:27:51 backend kernel: [27143.042122] ---[ end trace 9eca5a050f347014 ]---
Apr 13 18:27:51 backend kernel:...

Read more...

Manoj Iyer (manjo) wrote :

Can you please try the jaunty kernel in

http://people.ubuntu.com/~manjo/lp76489-jaunty/

and let me know if it fixes the above issue ?

Lasse (lfarner) wrote :

Downloading and compiling r8168 from realtek solved my network problems. Had to blacklist the r8169 module.

I tried to install the kernel today, but got a dependency error on installing headers
 eg: linux-headers-2.6.28-13-generic_2.6.28-13.44~lp76489manjo1_amd64.deb depends on linux-headers-2.6.28-13-generic_2.6.28-13.44~lp76489manjo1_amd64.deb but it is not installed.

surftom (tom-perrone) wrote :
Download full text (3.3 KiB)

Just setup an Asus eee Box with Ubuntu 9.04 server
The bug's still there

uname -r
2.6.28-11-server

lspci

03:00.0 Network controller: RaLink RT2860
04:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)

log (server is called 'mango')

May 5 07:30:55 mango kernel: [338669.970148] ------------[ cut here ]------------
May 5 07:30:55 mango kernel: [338669.970162] WARNING: at /build/buildd/linux-2.6.28/net/sched/sch_generic.c:226 dev_watchdog+0x219/0x230()
May 5 07:30:55 mango kernel: [338669.970174] NETDEV WATCHDOG: eth0 (r8169): transmit timed out
May 5 07:30:55 mango kernel: [338669.970182] Modules linked in: sha1_generic arc4 ecb ppp_mppe ppp_async crc_ccitt ppdev input_polldev lp parport snd_hda_intel iTCO_wdt iTCO_vendor_support snd_pcm snd_timer intel_agp psmouse snd agpgart serio_raw pcspkr video soundcore rt2860sta(C) eeepc_laptop snd_page_alloc output usb_storage r8169 mii fbcon tileblit font bitblit softcursor
May 5 07:30:55 mango kernel: [338669.970290] Pid: 0, comm: swapper Tainted: G C 2.6.28-11-server #42-Ubuntu
May 5 07:30:55 mango kernel: [338669.970300] Call Trace:
May 5 07:30:55 mango kernel: [338669.970318] [<c01411d0>] warn_slowpath+0x60/0x80
May 5 07:30:55 mango kernel: [338669.970335] [<c0138a4d>] ? find_busiest_group+0x15d/0x7e0
May 5 07:30:55 mango kernel: [338669.970350] [<c0133e6c>] ? enqueue_entity+0x13c/0x360
May 5 07:30:55 mango kernel: [338669.970367] [<c015e4a3>] ? getnstimeofday+0x53/0x110
May 5 07:30:55 mango kernel: [338669.970381] [<c02d379d>] ? strlcpy+0x1d/0x60
May 5 07:30:55 mango kernel: [338669.970394] [<c043f5f2>] ? netdev_drivername+0x32/0x40
May 5 07:30:55 mango kernel: [338669.970408] [<c0453c59>] dev_watchdog+0x219/0x230
May 5 07:30:55 mango kernel: [338669.970423] [<c01596ea>] ? hrtimer_forward+0x12a/0x170
May 5 07:30:55 mango kernel: [338669.970436] [<c015e4a3>] ? getnstimeofday+0x53/0x110
May 5 07:30:55 mango kernel: [338669.970449] [<c011f2f3>] ? lapic_next_event+0x13/0x20
May 5 07:30:55 mango kernel: [338669.970463] [<c01616c8>] ? clockevents_program_event+0x98/0x150
May 5 07:30:55 mango kernel: [338669.970477] [<c014b6d0>] run_timer_softirq+0x130/0x200
May 5 07:30:55 mango kernel: [338669.970491] [<c0453a40>] ? dev_watchdog+0x0/0x230
May 5 07:30:55 mango kernel: [338669.970504] [<c0453a40>] ? dev_watchdog+0x0/0x230
May 5 07:30:55 mango kernel: [338669.970518] [<c01467d7>] __do_softirq+0x97/0x170
May 5 07:30:55 mango kernel: [338669.970529] [<c015a876>] ? hrtimer_interrupt+0x186/0x1b0
May 5 07:30:55 mango kernel: [338669.970543] [<c015a6c9>] ? ktime_get+0x19/0x40
May 5 07:30:55 mango kernel: [338669.970556] [<c014690d>] do_softirq+0x5d/0x60
May 5 07:30:55 mango kernel: [338669.970568] [<c0146a85>] irq_exit+0x55/0x90
May 5 07:30:55 mango kernel: [338669.970581] [<c011f8fb>] smp_apic_timer_interrupt+0x5b/0x90
May 5 07:30:55 mango kernel: [338669.970595] [<c010ac2c>] apic_timer_interrupt+0x28/0x30
May 5 07:30:55 mango kernel: [338669.970610] [<c0189230>] ? rcu_pending+0xd0/0x100
May 5 07:30:55 mango kernel: [338669.970624] [<c0108866>] cpu_idle+0x86/0xd0
May 5 07:30:55 ...

Read more...

I am seeing this identical problem on an Ubuntu Server 9.04 (Jaunty) install, whenever there's a brief period of heavy network activity, the network locks up for a minute, with NETDEV WATCHDOG: eth0 (r8169): transmit timed out in the logs, followed by a similar stack trace to the above posters.

NIC is 02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)
    Subsystem: Giga-byte Technology Device e000

It's an on-board chipset on a Gigabyte GA-P35-DS3 motherboard.

On Mon, 2009-05-04 at 21:02 +0000, Manoj Iyer wrote:

> Can you please try the jaunty kernel

I am running jaunty (linux-image-2.6.28-11-generic version 2.6.28-11.42)
on an EeeBox B202 with this chip:

04:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL8111/8168B PCI Express Gigabit Ethernet controller(rev 02)

and I have the same problem.

--
Laurent Bonnaud.
http://www.lis.inpg.fr/pages_perso/bonnaud/

hugolp (hugolp2) wrote :

I am having the same problem using Ubuntu Server 9.04 (Jaunty). The machines is the Atom 330 based board D945GCLF2 with the RealTek RTL8111C Ethernet Controller.

After a whil of heavy load (sometimes seconds) the network stops working. After some time (arrond 1 or 2 minutes) it recovers itself and starts working again, until there is heavy load again and stops working and so on...

Is there any easy fix, even loosing funtionalities until a proper solution is ready?

hugolp (hugolp2) wrote :

Tryed solution proposed at the beggining of this thread, consisting on turning off TSO ("TCP Segmentation Offload") with "sudo ethtool -K eth0 tso off", but it does not work. The network stops working under heavy load.

surftom (tom-perrone) wrote :

sudo ethtool -K eth0 tso off stops the debug log, but I still get network drops.

I'm using the eee b202 as a cheap fileserver and I'm trying to backup a 1TB drive to a local 1TB drive over the lan (good sysadmin, huh? ;-) )
Anyway - I have not successfully backed up anything yet because a simple "copy" kills the lan

Any update?... Anyone?

Tom

hugolp (hugolp2) wrote :

My 1Gb/s card is now working because I have connected it to a 100Mb/s switch. I am guessing since it can only work at 1/10 of the speed, it never feels heavy load, so it never goes down.

Hope it helps someone as temporal solution.

goatcow (rocky-mindphone) wrote :

Ubuntu, Jaunty Jackalope, 2.6.28-11-server: http://www.newegg.com/Product/Product.aspx?Item=N82E16856101079

01:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)

[15752.970039] ------------[ cut here ]------------
[15752.970047] WARNING: at /build/buildd/linux-2.6.28/net/sched/sch_generic.c:226 dev_watchdog+0x219/0x230()
[15752.970053] NETDEV WATCHDOG: eth0 (r8169): transmit timed out
[15752.970057] Modules linked in: vicam videodev v4l1_compat usb_storage binfmt_misc appletalk ppdev lp parport bridge stp bnep video output input_polldev snd_hda_intel snd_pcm_oss snd_mixer_oss snd_pcm snd_seq_dummy snd_seq_oss snd_seq_midi snd_rawmidi snd_seq_midi_event snd_seq snd_timer snd_seq_device iTCO_wdt iTCO_vendor_support serio_raw pcspkr intel_agp snd agpgart soundcore snd_page_alloc r8169 mii raid10 raid456 async_xor async_memcpy async_tx xor raid1 raid0 multipath linear fbcon tileblit font bitblit softcursor
[15752.970138] Pid: 0, comm: swapper Not tainted 2.6.28-11-server #42-Ubuntu
[15752.970143] Call Trace:
[15752.970153] [<c01411d0>] warn_slowpath+0x60/0x80
[15752.970163] [<c02c0030>] ? __freed_request+0xa0/0x120
[15752.970170] [<c0138a4d>] ? find_busiest_group+0x15d/0x7e0
[15752.970178] [<c013af38>] ? balance_tasks+0x88/0x110
[15752.970185] [<c013b0df>] ? load_balance_fair+0x11f/0x180
[15752.970193] [<c015e4a3>] ? getnstimeofday+0x53/0x110
[15752.970200] [<c02d379d>] ? strlcpy+0x1d/0x60
[15752.970207] [<c043f5f2>] ? netdev_drivername+0x32/0x40
[15752.970214] [<c0453c59>] dev_watchdog+0x219/0x230
[15752.970222] [<c01596ea>] ? hrtimer_forward+0x12a/0x170
[15752.970228] [<c015e4a3>] ? getnstimeofday+0x53/0x110
[15752.970236] [<c011f2f3>] ? lapic_next_event+0x13/0x20
[15752.970242] [<c01616c8>] ? clockevents_program_event+0x98/0x150
[15752.970250] [<c014b6d0>] run_timer_softirq+0x130/0x200
[15752.970257] [<c0453a40>] ? dev_watchdog+0x0/0x230
[15752.970263] [<c0453a40>] ? dev_watchdog+0x0/0x230
[15752.970270] [<c01467d7>] __do_softirq+0x97/0x170
[15752.970276] [<c015a876>] ? hrtimer_interrupt+0x186/0x1b0
[15752.970283] [<c014690d>] do_softirq+0x5d/0x60
[15752.970289] [<c0146a85>] irq_exit+0x55/0x90
[15752.970295] [<c011f8fb>] smp_apic_timer_interrupt+0x5b/0x90
[15752.970303] [<c010ac2c>] apic_timer_interrupt+0x28/0x30
[15752.970310] [<c0110a12>] ? mwait_idle+0x42/0x50
[15752.970317] [<c010884d>] cpu_idle+0x6d/0xd0
[15752.970324] [<c050bc9e>] start_secondary+0xbe/0xf0
[15752.970329] ---[ end trace b84c2b15d1639c5e ]---
[15753.014274] r8169: eth0: link up

uscallesen (uffe-callesen) wrote :

I'm seeing this bug with xubuntu 9.04 also :(

lspci

00:00.0 Host bridge: Intel Corporation 82945G/GZ/P/PL Memory Controller Hub (rev 02)
00:02.0 VGA compatible controller: Intel Corporation 82945G/GZ Integrated Graphics Controller (rev 02)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 01)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 (rev 01)
00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2 (rev 01)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #2 (rev 01)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #3 (rev 01)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #4 (rev 01)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev e1)
00:1f.0 ISA bridge: Intel Corporation 82801GB/GR (ICH7 Family) LPC Interface Bridge (rev 01)
00:1f.2 IDE interface: Intel Corporation 82801GB/GR/GH (ICH7 Family) SATA IDE Controller (rev 01)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 01)
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)

uname -r

2.6.28-11-generic

Samuel Alba (shad-zaphod) wrote :

I *had* exactly the same problem on ubuntu 9.04 with linux-image-2.6.28-13-server.

I have found something interesting in the last kernel changelog (2.6.30):

http://kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.30

"""
commit fd4d34295b36c5d9a1aba3d3f2764d721db093be
Merge: 4d11eff 52ea3a5
Author: Linus Torvalds <email address hidden>
Date: Tue Jun 9 08:47:27 2009 -0700

    Merge git://git.kernel.org/pub/scm/linux/kernel/git/davem/net-2.6

    * git://git.kernel.org/pub/scm/linux/kernel/git/davem/net-2.6:
      cls_cgroup: Fix oops when user send improperly 'tc filter add' request
      r8169: fix crash when large packets are received
"""

So as not to do apt pinning on my distro, I have only downloaded the last kernel 2.6.30 from karmic repos:

$> wget http://packages.ubuntu.com/karmic/i386/linux-image-2.6.30-9-server/download
$> dpkg -i linux-image-2.6.30-9-server_2.6.30-9.10_i386.deb
$> reboot

And now, it works fine ! It will be ok while waiting for the next ubuntu release.

surftom (tom-perrone) wrote :

Downloaded and installed 2.6.30-generic
It's better... but not fixed. I got through about 150GB then it died again. I have not tried again... but will as soon as I have time
Tom

Nicolas Picard (true255) wrote :

I'm running 2.6.28.15 kernel on my D945GCLF2 (realtek 8111c , using r8169). I Just got that:
I experimenting random connection drop when transmitting data (heavy load 1Gbits) to an other pc thru Samba share.

Aug 6 21:18:25 atomic kernel: [ 979.976044] WARNING: at /build/buildd/linux-2.6.28/net/sched/sch_generic.c:226 dev_watchdog+0x219/0x230()
Aug 6 21:18:25 atomic kernel: [ 979.976050] NETDEV WATCHDOG: eth0 (r8169): transmit timed out
Aug 6 21:18:25 atomic kernel: [ 979.976054] Modules linked in: binfmt_misc video output input_polldev lp snd_hda_intel snd_pcm_oss snd_mixer_oss snd_pcm snd_seq_dummy snd_seq_
oss snd_seq_midi snd_rawmidi snd_seq_midi_event snd_seq snd_timer snd_seq_device nvidia(P) iTCO_wdt agpgart ppdev iTCO_vendor_support parport_pc lirc_mceusb2 pcspkr psmouse seri
o_raw snd shpchp lirc_dev parport soundcore snd_page_alloc r8169 mii fbcon tileblit font bitblit softcursor
Aug 6 21:18:25 atomic kernel: [ 979.976118] Pid: 0, comm: swapper Tainted: P 2.6.28-15-generic #48-Ubuntu
Aug 6 21:18:25 atomic kernel: [ 979.976123] Call Trace:
Aug 6 21:18:25 atomic kernel: [ 979.976133] [<c0139ba0>] warn_slowpath+0x60/0x80
Aug 6 21:18:25 atomic kernel: [ 979.976142] [<c012c71c>] ? enqueue_entity+0x13c/0x360
Aug 6 21:18:25 atomic kernel: [ 979.976149] [<c0132211>] ? enqueue_task_fair+0x31/0x70
Aug 6 21:18:25 atomic kernel: [ 979.976156] [<c01287c7>] ? enqueue_task+0x57/0x70
Aug 6 21:18:25 atomic kernel: [ 979.976162] [<c0133c54>] ? try_to_wake_up+0x104/0x290
Aug 6 21:18:25 atomic kernel: [ 979.976169] [<c02cb9fd>] ? strlcpy+0x1d/0x60
Aug 6 21:18:25 atomic kernel: [ 979.976177] [<c042e262>] ? netdev_drivername+0x32/0x40
Aug 6 21:18:25 atomic kernel: [ 979.976183] [<c0442e39>] dev_watchdog+0x219/0x230
Aug 6 21:18:25 atomic kernel: [ 979.976191] [<c01439dd>] ? cascade+0x5d/0x80
Aug 6 21:18:25 atomic kernel: [ 979.976197] [<c0143bf0>] run_timer_softirq+0x130/0x200
Aug 6 21:18:25 atomic kernel: [ 979.976203] [<c0442c20>] ? dev_watchdog+0x0/0x230
Aug 6 21:18:25 atomic kernel: [ 979.976209] [<c0442c20>] ? dev_watchdog+0x0/0x230
Aug 6 21:18:25 atomic kernel: [ 979.976217] [<c013f297>] __do_softirq+0x97/0x170
Aug 6 21:18:25 atomic kernel: [ 979.976224] [<c0152de6>] ? hrtimer_interrupt+0x186/0x1b0
Aug 6 21:18:25 atomic kernel: [ 979.976231] [<c013f3cd>] do_softirq+0x5d/0x60
Aug 6 21:18:25 atomic kernel: [ 979.976237] [<c013f545>] irq_exit+0x55/0x90
Aug 6 21:18:25 atomic kernel: [ 979.976244] [<c011a07b>] smp_apic_timer_interrupt+0x5b/0x90
Aug 6 21:18:25 atomic kernel: [ 979.976252] [<c0105318>] apic_timer_interrupt+0x28/0x30
Aug 6 21:18:25 atomic kernel: [ 979.976258] [<c010b012>] ? mwait_idle+0x42/0x50
Aug 6 21:18:25 atomic kernel: [ 979.976264] [<c010285d>] cpu_idle+0x6d/0xd0
Aug 6 21:18:25 atomic kernel: [ 979.976272] [<c04fbbfe>] start_secondary+0xbe/0xf0
Aug 6 21:18:25 atomic kernel: [ 979.976277] ---[ end trace c7177bde55843f76 ]---

Changed in linux:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.